% This file was created by tikzplotlib v0.9.3.
\begin{tikzpicture}

\definecolor{color0}{rgb}{0.349019607843137,0.490196078431372,0.749019607843137}
\definecolor{color1}{rgb}{0.852941176470588,0.544117647058824,0.370588235294118}

\begin{groupplot}[group style={group size=1 by 2}]
\nextgroupplot[
axis line style={white!15!black},
height=234.0pt,
scaled x ticks=manual:{}{\pgfmathparse{#1}},
tick align=outside,
tick pos=left,
title={cmsis-nn = cmsis-nn | model = 01d\_ResNet20\_CIFAR-10\_none\_tflite-builtins-INT8\_none\_dataset},
width=312.0pt,
x grid style={white!80!black},
xmajorgrids,
xmin=0, xmax=27909.826707,
xtick style={color=white!15!black},
xticklabels={},
y dir=reverse,
y grid style={white!80!black},
ylabel={MCU},
ymin=-0.5, ymax=2.5,
ytick style={color=white!15!black},
ytick={0,1,2},
yticklabels={NUCLEO\_L496ZG,DISCO\_F469NI,NUCLEO\_F767ZI}
]
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,-0.4) rectangle (axis cs:2217.00896,0);
\addlegendimage{ybar,ybar legend,draw=white,fill=color0,line width=0.32pt};
\addlegendentry{-Ofast}

\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,0.6) rectangle (axis cs:984.3176,1);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,1.6) rectangle (axis cs:449.30214,2);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,-2.77555756156289e-17) rectangle (axis cs:2839.52076,0.4);
\addlegendimage{ybar,ybar legend,draw=white,fill=color1,line width=0.32pt};
\addlegendentry{-Os}

\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,1) rectangle (axis cs:1391.3408,1.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,2) rectangle (axis cs:629.71014,2.4);
\addplot [line width=0.864pt, white!26!black]
table {%
nan -0.2
nan -0.2
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 0.8
nan 0.8
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 1.8
nan 1.8
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 0.2
nan 0.2
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 1.2
nan 1.2
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 2.2
nan 2.2
};

\nextgroupplot[
axis line style={white!15!black},
height=234.0pt,
tick align=outside,
tick pos=left,
title={
    "FPU\_status": 1,
    "model\_type": "W-int8\_A-int8",
    "model": "01d\_ResNet20\_CIFAR-10\_none\_tflite-builtins-INT8\_none\_dataset"
},
width=312.0pt,
x grid style={white!80!black},
xlabel={Inference latency [ms]},
xmajorgrids,
xmin=0, xmax=27909.826707,
xtick style={color=white!15!black},
y dir=reverse,
y grid style={white!80!black},
ylabel={Model Type},
ymin=-0.5, ymax=2.5,
ytick style={color=white!15!black},
ytick={0,1,2},
yticklabels={NUCLEO\_L496ZG,DISCO\_F469NI,NUCLEO\_F767ZI}
]
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,-0.4) rectangle (axis cs:12088.4626,0);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,0.6) rectangle (axis cs:6506.26076,1);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,1.6) rectangle (axis cs:1119.74508,2);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,-2.77555756156289e-17) rectangle (axis cs:26580.78734,0.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,1) rectangle (axis cs:14993.10336,1.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,2) rectangle (axis cs:6225.56866,2.4);
\addplot [line width=0.864pt, white!26!black]
table {%
nan -0.2
nan -0.2
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 0.8
nan 0.8
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 1.8
nan 1.8
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 0.2
nan 0.2
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 1.2
nan 1.2
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 2.2
nan 2.2
};
\end{groupplot}

\end{tikzpicture}
